cwlVersion: v1.0
class: CommandLineTool

requirements:
  DockerRequirement:
    dockerPull: broadinstitute/gatk
  InitialWorkDirRequirement:
    listing:
      - $(inputs.bam)

arguments:
  - java
  - -jar
  - /gatk/gatk.jar
  - HaplotypeCaller
  - -R
  - $(inputs.reference)
  - -I
  - $(inputs.bam)
  - -O
  - $(runtime.outdir)/$(inputs.bam.nameroot).gatk.gvcf

inputs:
  bam: File
  reference:
    type: File
    secondaryFiles:
      - .amb
      - .ann
      - .bwt
      - .pac
      - .sa
      - .fai
      - ^.dict

outputs:
  gvcf:
    type: File
    outputBinding:
      glob: "*gvcf"
